package com.base.datarecovery.utils;

import java.util.ArrayList;
import java.util.List;

public class CleanJunkStringResourceManager {
    private static final List<String> stringResources = new ArrayList<>();
    private static int currentResourceIndex = 0;

    static {
        // 添加新的文案资源
        stringResources.add("Find and delete phone junk files.");
        stringResources.add("Clear remaining trash for more space.");
        stringResources.add("Scan and remove mobile junk files.");
        stringResources.add("Clean up and free storage space.");
        stringResources.add("Save space by cleaning junk files.");
        stringResources.add("Remove phone junk files easily.");
        stringResources.add("Clear trash and free up space.");
        stringResources.add("Scan and delete mobile junk files.");
        stringResources.add("Clean up for more storage space.");
        stringResources.add("Save storage, clean junk files!");
        stringResources.add("You haven't cleaned your device in a long time");
    }

    public static String getNextStringResource() {
        if (stringResources == null || stringResources.isEmpty()) {
            return null; // 或者根据您的需要处理错误情况
        }
        String resource = stringResources.get(currentResourceIndex);
        currentResourceIndex = (currentResourceIndex + 1) % stringResources.size();
        return resource;
    }
}